﻿using System;
using System.Collections.Generic;
using System.Text;

namespace BenchmarkTool
{
    public class RangeQuery
    {
        public DateTime StartDate { get; }

        public DateTime EndDate { get {
                return StartDate.AddMinutes(DurationMinutes);
            } }

        public long DurationMinutes{ get; }

        public int[] SensorIDs { get; }

        public string SensorFilter { get; }

        public RangeQuery(DateTime startDate, long duration, int[] sensors, string filter)
        {
            StartDate = startDate;
            DurationMinutes = duration;
            SensorIDs = sensors;
            SensorFilter = filter;
        }
    }
}
