﻿using System;
using System.Collections.Generic;
using System.Text;

namespace BenchmarkTool
{
    public class QueryStatus
    {
        public bool Succeeded { get; set; }
        public long Latency { get; set; }
        public int DataPoints { get; set; }
        private Exception ThrownException { get; set; }
        private String ErrorMessage { get; set; }

        public QueryStatus(bool succeeded, Exception exception, String errorMessage)
        {
            Succeeded = succeeded;
            this.ThrownException = exception;
            this.ErrorMessage = errorMessage;
        }

        public QueryStatus(bool succeeded)
        {
            Succeeded = succeeded;
        }

        public QueryStatus(bool succeeded, int dataPoints)
        {
            Succeeded = succeeded;
            this.DataPoints = dataPoints;
        }

        public QueryStatus(bool succeeded, int dataPoints, Exception exception, String errorMessage)
        {
            Succeeded = succeeded;
            ThrownException = exception;
            ErrorMessage = errorMessage;
            DataPoints = dataPoints;
        }    
    }
}
