﻿using System;
using System.Collections.Generic;
using System.Text;

namespace BenchmarkTool
{
    public class ComparisionQuery
    {
        public DateTime StartDate { get; }

        public DateTime EndDate
        {
            get
            {
                return StartDate.AddMinutes(DurationMinutes);
            }
        }

        public long DurationMinutes { get; }

        public int FirstSensorID { get; }

        public int SecondSensorID { get; }

        public ComparisionQuery(DateTime startDate, long duration, int id1, int id2)
        {
            StartDate = startDate;
            DurationMinutes = duration;
            FirstSensorID = id1;
            SecondSensorID = id2;
        }
    }
}
