﻿
using InfluxDB.Client.Core;
using System;
using System.Collections.Generic;
using System.Text;

namespace BenchmarkTool
{
	public class SensorData
	{
		public DateTime? TimeSpan { get; set; }
		public Int32 SensorID { get; set; }
		public Double Value { get; set; }	
		
	}

	[Measurement(Constants.DatabaseName)]
	public class SensorDataInflux
	{
		[Column(Constants.SensorID, IsTag = true)] 
		public Int32 SensorID{ get; set; }

		[Column(Constants.Value)] 
		public double Value { get; set; }

		[Column(IsTimestamp = true)] 
		public DateTime Time;
	}
}
